Hawick vs GHA RFC · Tennent's Premiership
Tennent's Premiership · 2025-26Full time

20–29

Match report
GHA RFC beat Hawick 29-20 away from home at Mansfield Park, Hawick in round 1 of the Tennent's Premiership on Saturday, 23 August 2025.
Written automatically from the match data; updated as results come in.
Head to head
3
Hawick wins (43%)
0
Draws (0%)
4
GHA RFC wins (57%)
Last 7 meetings, since September 2021
Biggest Hawick win
48–22
27 Nov 2021
Biggest GHA RFC win
33–19
19 Sept 2026
Last 5 meetings
- 19 Sept 2026 · Tennent's PremiershipHawick19GHA RFC3319 Sept 2026Hawick19–33GHA RFCTennent's Premiership
- 22 Nov 2025 · Tennent's PremiershipGHA RFC14Hawick722 Nov 2025GHA RFC14–7HawickTennent's Premiership
- 23 Aug 2025 · Tennent's PremiershipHawick20GHA RFC2923 Aug 2025Hawick20–29GHA RFCTennent's Premiership
- 18 Feb 2023 · Tennent's PremiershipHawick15GHA RFC1318 Feb 2023Hawick15–13GHA RFCTennent's Premiership
- 1 Oct 2022 · Tennent's PremiershipGHA RFC24Hawick411 Oct 2022GHA RFC24–41HawickTennent's Premiership